package com.ssj.bean.sys.situation.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="scon_learning_situation_new")
public class LearningSituation extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private String studentId;

    private String courseName;

    /**
     * 数据分类, 1知识维度,2技能维度, 3整体知识维度，4整体技能维度，5运用类知识点，6理解类知识点，7记忆类知识点
     */
    private Integer type;

    private Date createTime;

    /**
     * 备注，如知识点维度名称
     */
    private String remark;

    /**
     * 错题数
     */
    private Integer wrongCount;
    /**
     * 总题数
     */
    private Integer totalCount;
    
    /**
     * 年级
     */
    private String grade;
    
    /**
     * 知识点维度
     */
    private String dimension;
    
    /**
     * 学情建议
     */
    private String suggestId;
    
    /**
     * 正确率
     */
    private Integer degreePercent;
    
    /**
     * 学期
     */
    private Integer semester;
    
    public Integer getSemester() {
		return semester;
	}

	public void setSemester(Integer semester) {
		this.semester = semester;
	}

	public Integer getDegreePercent() {
		return degreePercent;
	}

	public void setDegreePercent(Integer degreePercent) {
		this.degreePercent = degreePercent;
	}

	public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getWrongCount() {
        return wrongCount;
    }

    public void setWrongCount(Integer wrongCount) {
        this.wrongCount = wrongCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getDimension() {
		return dimension;
	}

	public void setDimension(String dimension) {
		this.dimension = dimension;
	}

	public String getSuggestId() {
		return suggestId;
	}

	public void setSuggestId(String suggestId) {
		this.suggestId = suggestId;
	}

}
